{{#if @record.canEdit}}
  <div class="checkbox-container" ...attributes>
    {{! template-lint-disable require-input-label }}
    <Input
      @type="checkbox"
      class="form-check-input chk-selected"
      disabled={{eq @selection "all"}}
      @checked={{this.isSelected}}
    />
  </div>
{{/if}}